ChangeSet 1.1276.8.2, 2004/01/28 12:28:37-08:00, oliver@neukum.org

[PATCH] USB: 2.4 memory deadlock avoidance

  - use GFP_NOIO to avoid deadlock


 drivers/usb/usb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/usb.c b/drivers/usb/usb.c
--- a/drivers/usb/usb.c	Wed Jan 28 13:36:27 2004
+++ b/drivers/usb/usb.c	Wed Jan 28 13:36:27 2004
@@ -1198,7 +1198,7 @@
 int usb_control_msg(struct usb_device *dev, unsigned int pipe, __u8 request, __u8 requesttype,
 			 __u16 value, __u16 index, void *data, __u16 size, int timeout)
 {
-	struct usb_ctrlrequest *dr = kmalloc(sizeof(struct usb_ctrlrequest), GFP_KERNEL);
+	struct usb_ctrlrequest *dr = kmalloc(sizeof(struct usb_ctrlrequest), GFP_NOIO);
 	int ret;
 	
 	if (!dr)
